# Class CreateAccountRequest

#### Hierarchy

- unknown
  - CreateAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:138
- Defined in src/protobuf/grpc_pb.d.ts:150

#####
Index

### Constructors

constructor

### Methods

getPassword
serializeBinary
setPassword
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreateAccountRequest(): CreateAccountRequest

- #### Returns CreateAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:139

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:142

### setPassword

- setPassword(value: string): CreateAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns CreateAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:140

### toObject

- toObject(includeInstance?: boolean): CreateAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreateAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:143

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:146

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateAccountRequest, reader: BinaryReader): CreateAccountRequest

- #### Parameters

  - ##### message: CreateAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreateAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:147

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreateAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:145

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreateAccountRequest): CreateAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateAccountRequest

  #### Returns CreateAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:144

Generated using TypeDoc